'##########################################################################################
'# BATMONREAD.VBS [beta] for Samurize - (C) 2004 by nashxgi - for free use -              #
'# This script will retrieve the seconds remaining for the systems                        #
'# battery until it is flat out of the logfile created by the battery monitoring tool     #
'# "Battery Monitor" from Passmark Corp. www.passmark.com .                               #
'# INSTALL AND RUN IT BEFORE USING THIS SCRIPT !                                          #
'# The function LaptopTimeLeft() will deliver 3 possible stati to Samurize:               #
'#  1- The expected leftover time in hrs:mins calculated from the seconds measured        #
'#  2- In case Battery Monitor does not deliver useful data, Samurize gets a "No Status"  #
'#     message. This changes when data is received again from the BM-log.                 #
'#  3- In case that leftover time is less than 10 mins the script will deliver a "Warning"#
'#     message indicating that battery power is very low.                                 #
'#                                                                                        #
'# Setting the script:                                                                    #
'#  1- Set the current path to the BATTERY MON logfile in Line 28.                        #
'#  2- If needed reset the MINS value for sending a warning-message in Line 57.           #
'##########################################################################################

Option Explicit

Const ForReading = 1

Dim sFileName
Dim Feld(1)
Dim fso, oText
Dim i,std, min,y
Dim AnyString, MyStr,strTime
Dim bCreate

sFileName = "C:\Programme\Batterymon\batterymonlog.txt"     '// ADD PATH TO BATTERYMON LOG-FILE HERE
bCreate = false		        
i=0
Set fso = CreateObject("Scripting.FileSystemObject")
Set oText = fso.OpenTextFile(sFileName, ForReading, bCreate)
Do Until oText.AtEndofStream	
 Feld(0)=oText.ReadLine
 Feld(1)=Feld(0)
Loop
oText.Close		        
	
AnyString = Feld(1)             
MyStr = Right(AnyString, 4)       

If MyStr=", -1" Then
 strTime="No Status"
Else
 i=int(MyStr)
 y=i/60
 std=int(y/60)
 min=y mod 60
 If std <> 0  Then
    If min < 10 Then min = "0" & min
  strTime = std& " : " & min & " left"
 else
   strTime = std& " : " & min & " left"
    if min < 10 Then                       '// SET THE MINS-VALUE TO SEND A WARNING-MSG (Default is 10)
     strTime="W A R N I N G  !"
    End IF
 End if 
End If


Function LaptopTimeLeft()

 LaptopTimeLeft=strTime

End Function
